###

#

Metafunction< T > Struct Template Reference
Basic Concepts

Concept for type as metafunction requirement. More...

`#include <basic.hpp>`

## Public Member Functions

void | constraints ()

## Detailed Description

### template<typename T>
struct boost::gil::Metafunction< T >

Concept for type as metafunction requirement.

auto concept Metafunction<typename T>
{
typename type;
};

The documentation for this struct was generated from the following file:

- basic.hpp